Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageRange3D Class Reference

`#include <vtkImageRange3D.h>`

Inheritance diagram for vtkImageRange3D:

[legend]
Collaboration diagram for vtkImageRange3D:

[legend]
List of all members.

## Detailed Description

Max - min of a circular neighborhood.

Date:
  2002/01/22 15:33:19

Revision:
  1.24

vtkImageRange3D replaces a pixel with the maximum minus minimum over an ellipsoidal neighborhood. If KernelSize of an axis is 1, no processing is done on that axis.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (82%)
  - Martin, Ken (9%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageRange3D.h)`
  - .`cxx` (`/Imaging/vtkImageRange3D.cxx)`

Tests:
  vtkImageRange3D (Tests)

Definition at line 49 of file vtkImageRange3D.h.

## Public Types
typedef vtkImageSpatialFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetKernelSize (int size0, int size1, int size2)
## Static Public Methods
vtkImageRange3D * | New ()
int | IsTypeOf (const char *type)
vtkImageRange3D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageRange3D ()
| ~vtkImageRange3D ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
vtkImageEllipsoidSource * | Ellipse

## Member Typedef Documentation

typedef vtkImageSpatialFilter vtkImageRange3D::Superclass

| Reimplemented from vtkImageSpatialFilter. Definition at line 53 of file vtkImageRange3D.h.

## Constructor & Destructor Documentation

vtkImageRange3D::vtkImageRange3D | ( |  | ) | `[protected]`

vtkImageRange3D::~vtkImageRange3D | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageRange3D* vtkImageRange3D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageSpatialFilter.

virtual const char* vtkImageRange3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSpatialFilter.

int vtkImageRange3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

virtual int vtkImageRange3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

vtkImageRange3D* vtkImageRange3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageRange3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSpatialFilter.

void vtkImageRange3D::SetKernelSize | ( | int | size0,
|  | int | size1,
|  | int | size2
| ) |

| This method sets the size of the neighborhood. It also sets the default middle of the neighborhood and computes the elliptical foot print.

void vtkImageRange3D::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageRange3D::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageSpatialFilter. Definition at line 68 of file vtkImageRange3D.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageRange3D::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

vtkImageEllipsoidSource* vtkImageRange3D::Ellipse`[protected]`

| Definition at line 65 of file vtkImageRange3D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageRange3D.h